// shadertype=glsl
#version 430

layout (location = 0) in vec3 position;
layout (location = 1) in vec3 normalsIn;
layout (location = 2) in vec2 texCoord;

uniform mat4 model;
uniform mat4 view;
uniform mat4 projection;
uniform mat3 normalMatrix;


out vec2 texCoords;
//out vec3 lDir[20];


void main(){
		vec4 p = model * vec4(position,1.0f);
		gl_Position = projection * view * p;
		texCoords = texCoord;
}