#version 430

layout (location = 0) in vec3 position; //Vertex position
layout (location = 1) in vec4 center;
layout (location = 2) in vec4 colorIn;

uniform mat4 model;
uniform mat4 view;
uniform mat4 projection;

out vec4 color;


void main(){
		mat4 model2 = model;// mat4(1);
		model2[3] = vec4(center.xyz,1.0f);
		
		color = colorIn;
		gl_Position = projection * view * model2 * vec4(position*center.w, 1.0f) ;
}